/* prosty program demonstracyjny "mrugajca dioda"
   dioda LED podczona do portu P0.0, stan aktywny = L,
   rezonator kwarcowy 3,6864 MHz */
   
#include <reg51.h>		//doczenie definicji rejestrw
								//mikrokontrolera
sbit PortLED = P0^0;		//definicja portu diody LED


//opnienie okoo 1 sekundy dla kwarcu 3,6864 MHz
void Delay(unsigned int time)
{
	unsigned int j;
	unsigned char i;
	
	while (time >= 1)		//wykonanie ptli FOR zajmuje okoo 1 sek.
	{							//ptla jest powtarzana TIME razy
		for (i=0; i<3; i++)
			for (j=0; j<52000; j++);
		time--;
	}
}

//pocztek programu gwnego
void main(void)
{
	while (1)				//ptla nieskoczona
	{
		PortLED = 1;		//zgaszenie diody LED
		Delay(2);			//opnienie okoo 2 sek.
		PortLED = 0;		//zawiecenie LED
		Delay(2);			//opnienie okoo 2 sek.
	}
}
 
