/* niektre stae uywane w programie */
#define Set 0x00
#define Clear 0x01

/* pooenia kluczyka / przecznika trybw pracy */
#define KeyInBetrieb 0x30
#define KeyInLesen 0x28
#define KeyInLernen 0x18

/* kody klawiszy zwracane przez funkcj KeyRead */
#define ArrowUp 		0x01		// w gr
#define ArrowDown		0x02		// w d
#define ArrowLeft 	0x03		// w lewo
#define ArrowRight	0x04		// w prawo
#define Save			0x05		// ZAPAMITAJ
#define Read			0x06		// ODCZYT
#define Enter			0x07		// ENTER
#define Ein1_1			0x08		// zacz 1
#define Aus1_1			0x09		// wycz 1
#define Ein2_1			0x0A		// zacz 2
#define Aus2_1			0x0B		// wycz 2
#define Ein3_1			0x0C		// zacz 3
#define Aus3_1 		0x0D		// wycz 3
#define Ein4_1			0x0E		// zacz 4
#define Aus4_1			0x0F		// wycz 4
#define Ein1_2			0x10		// zacz 5
#define Aus1_2			0x11		// wycz 5
#define Ein2_2			0x12		// zacz 6
#define Aus2_2			0x13		// wycz 6
#define Ein3_2			0x14		// zacz 7
#define Aus3_2			0x15		// wycz 7
#define Ein4_2			0xD6		// zacz 8
#define Aus4_2			0x17		// wycz 8

/* kody klawiszy odczytywane przez funkcj KeyRead
   ColumnNo = 3 */
#define _ArrowLeft_ 	0xBF
#define _ArrowUp_ 	0xF7
#define _ArrowRight_ 0xFB
#define _ArrowDown_ 	0xEF
#define _Enter_ 		0xDF
#define _Lesen_ 		0xFD
#define _Speichern_ 	0xFE

/* ColumnNo = 2 */
#define _Aus4_2_	0x7F
#define _Aus3_2_	0xBF
#define _Aus2_2_	0xDF
#define _Aus1_2_	0xEF
#define _Aus4_1_	0xF7
#define _Aus3_1_	0xFB
#define _Aus2_1_	0xFD
#define _Aus1_1_	0xFE

/* ColumnNo = 1 */
#define _Ein4_2_	0x7F
#define _Ein3_2_	0xBF
#define _Ein2_2_	0xDF
#define _Ein1_2_	0xEF
#define _Ein4_1_	0xF7
#define _Ein3_1_	0xFB
#define _Ein2_1_	0xFD
#define _Ein1_1_	0xFE

/* wzorce znakw definiowanych - tabela 1 */
char code CGRom1[65] = {0xAA,0x55,0xAA,0x55,0xAA,0x55,0xAA,0x55,		// "hash"		0x00
							  	0xFF,0xFF,0xF9,0xF3,0xE7,0xF3,0xF9,0xFF,		// left			0x01
							  	0xFF,0xFF,0xF3,0xF9,0xFC,0xF9,0xF3,0xFF,		// right			0x02
				           	0xFF,0xFF,0xFB,0xF1,0xE4,0xEE,0xFF,0xFF,		// up				0x03
				           	0xFF,0xFF,0xFF,0xEE,0xE4,0xF1,0xFB,0xFF,		// down			0x04
								0xC0,0xC0,0xFF,0xF1,0xF1,0xF1,0xFF,0xC0,		// empty box	0x05
							  	0xC0,0xC0,0xFF,0xFF,0xFF,0xFF,0xFF,0xC0,		// filled box	0x06
							  	0xE0,0xFF,0xFF,0xFF,0xE0,0xE0,0xE0,0xE0,		// line			0x07
				           	0x00};



