/* prosty program demonstracyjny "mrugajca dioda"
   dioda LED podczona do portu P0.0, stan aktywny = L,
   rezonator kwarcowy 3,6864 MHz */
   
#include <reg51.h>		//doczenie definicji rejestrw mikrokontrolera

sbit PortLED = P0^0;		//definicja portu diody LED


//opnienie okoo 1 sekundy dla kwarcu 3,6864 MHz
void Delay(unsigned int time)
{
	unsigned char i;
	
	for (i=0; i<10; i++)	//ptla wykonywana 10x, bo podstaw czasu jest 0,1 sekundy
	{
		TH1 = 0x87;			//wpisanie wartoci do rejestrw Timera 1
		TL0 = 0;
		TR1 = 1;				//uruchomienie Timera 1
		while (!TF1);		//oczekiwanie na ustawienie flagi przepenienia
		TF1 = 0;				//zerowanie znacznika przepenienia Timera 1
	}
	TR1 = 0;					//zatrzymanie Timera 1
}

//pocztek programu gwnego
void main(void)
{
	TMOD = 0x10;			//Timer 1 jako 16-bitowy
	
	while (1)				//ptla nieskoczona
	{
		PortLED = 1;		//zgaszenie diody LED
		Delay(2);			//opnienie okoo 2 sek.
		PortLED = 0;		//zawiecenie LED
		Delay(2);			//opnienie okoo 2 sek.
	}
}
 
